Bug 46977 - JMeter does not handle HTTP headers not delimited by whitespace
JMeter does not handle HTTP headers not delimited by whitespace
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.3.2
All All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-04-06 14:35 UTC by Doug
Modified: 2009-05-12 21:57 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2009-04-06 14:35:28 UTC
According to RFC 2616, headers are field-name ":" [ field-body ] CRLF
It specifically says: "Each header field consists of a name followed by a colon (":") and the field value. "

This permits headers of the form:

User-Agent:XYZ

even though we are mostly used to seeing:

User-Agent: XYZ

Unfortunately, JMeter cannot handle headers in the first form - as evidenced by the following header (emitted from a mobile device emulator):

User-Agent:OPWV-SDK/62 UP.Browser/6.2.2.1.208 (GUI) MMP/2.0

which appears in the Browser-derived Headers (after capture via HTTP Proxy Server) as:

Name: User-Agent:OPWV-SDK/6  [Note how the 2 has vanished]
Value: UP.Browser/6.2.2.1.208 (GUI) MMP/2.0

I suspect this is in the header manager where it splits the headers on "\t" or " " which, though convenient, is not in line with the spec.
Comment 1 Sebb 2009-04-07 11:13:41 UTC
Thanks for the report.

Fixed in SVN, r762874
Comment 2 Gregg 2009-05-04 20:35:50 UTC
Correct svn revision is r762874
Comment 3 Gregg 2009-05-04 21:20:25 UTC
Trying to indicate the correct revision a couple of ways:

URL: http://svn.apache.org/viewvc?rev=762874&view=rev
revision keyword: revision 762874
r followed by a number: r762874
Comment 4 Sebb 2009-05-12 06:14:53 UTC
Just for completeness, the SVN revision reference bug was raised as

https://issues.apache.org/jira/browse/INFRA-2038

This has now been fixed, so the SVN rnnnn references now work OK.
Comment 5 Mark Thomas 2009-05-12 21:57:12 UTC
Testing r762874
May be an edge case for the end of the comment